# Interface ProcessingMode

All Known Implementing Classes:
  `CgiMode, ChecksumMode, ChoiceMode, CopyMode, CountMode, CubeMode, ExtAppMode, JdbcMode, MetadataMode, MocMode, MocShapeMode, NullMode, SampMode, StatsMode, SwingMode, TopcatMode`

public interface ProcessingMode
Interface defining the final element of a table processing pipeline - the one which disposes of the generated table in some way.

Since:
  9 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`TableConsumer`
`createConsumer(uk.ac.starlink.task.Environment env)`
Creates a TableConsumer, deriving any additional required configuration from a given environment.
`uk.ac.starlink.task.Parameter<?>[]`
`getAssociatedParameters()`
Returns a list of any parameters which are associated with this mode.
`String`
`getDescription()`
Returns a textual description of this processing mode.

## Method Details

### createConsumer

TableConsumer createConsumer(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Creates a TableConsumer, deriving any additional required configuration from a given environment.

Parameters:
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`

### getAssociatedParameters

uk.ac.starlink.task.Parameter<?>[] getAssociatedParameters()
Returns a list of any parameters which are associated with this mode.

Returns:
  parameter list

### getDescription

String getDescription()
Returns a textual description of this processing mode. This will be included in the user document so should be in XML.

Returns:
  textual description of this mode